#
# spec file for package bing
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           bing
PreReq:         permissions
Url:            http://fgouget.free.fr/bing/index-en.shtml
Summary:        A Point-to-Point Bandwidth Measurement Tool
License:        BSD-3-Clause
Group:          Productivity/Networking/Diagnostic
Version:        1.0.5
Release:        163.5
Source:         bing-%{version}.tar.bz2
Patch0:         bing-%{version}.dif
Patch1:         %{name}-%{version}-permissions.patch
Patch2:         %{name}-%{version}-includes.diff
Patch3:         %{name}-%{version}-moresecure.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Bing determines the real (raw, as opposed to available or average)
throughput of a link by measuring ICMP echo request round trip times
for different packet sizes for each end of the link.

%prep
%setup
%patch -P 0
%patch -P 1
%patch -P 2
%patch -P 3 -p1

%build
make CC="%__cc" CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing" %{?_smp_mflags}

%install
mkdir -p $RPM_BUILD_ROOT/{%{_mandir}/man8,usr/sbin}
make install MANDIR=$RPM_BUILD_ROOT/%{_mandir} BINDIR=$RPM_BUILD_ROOT/usr/sbin

%files
%defattr(-,root,root)
%attr(0755,root,root) /usr/sbin/bing
%doc %{_mandir}/man8/bing.*
%doc bing.ps
%doc ChangeLog README

%changelog
* Thu Feb 22 2024 Dominique Leuenberger <dimstar@opensuse.org>
- Use %%patch -P N instead of deprecated %%patchN.
* Mon May 14 2018 adam.majer@suse.de
- Don't install using trusted group (bnc#1092157)
- Minor spec-file cleanup
* Thu Jul 27 2017 adam.majer@suse.de
- Update URL to point to exiting website (bnc#1034957)
* Fri May 25 2012 puzel@suse.com
- run_permissions macro is obsolete: use set_permissions
  (bnc#764099)
* Wed Oct  5 2011 uli@suse.com
- cross-build fix: use %%__cc macro
* Sat Sep 17 2011 jengelh@medozas.de
- Remove redundant tags/sections from specfile
- Use %%_smp_mflags for parallel build
* Tue Nov  3 2009 coolo@novell.com
- updated patches to apply with fuzz=0
* Wed Aug 26 2009 mls@suse.de
- make patch0 usage consistent
* Fri Nov  9 2007 mkudlvasr@suse.cz
- moved bing to /usr/sbin
- removed SUID bit
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jul 11 2005 postadal@suse.cz
- updated to version 1.0.5
- bziped
* Wed Jan 26 2005 meissner@suse.de
- added RPM_OPT_FLAGS. Fixed some bugs.
- Moved privilege drop up to earliest place.
* Thu Nov 11 2004 ro@suse.de
- permission handling fixes
* Mon Aug 23 2004 postadal@suse.cz
- added missing include arpa/inet.h [#43637]
* Wed Jun 23 2004 hmacht@suse.de
- building as non root user
- added patch to correct owner/group
* Tue Apr  6 2004 kukuk@suse.de
- Fix default permissions
* Tue Sep 17 2002 ro@suse.de
- removed bogus self-provides
* Wed Jan 24 2001 nadvornik@suse.de
- fixed usage of %%{_mandir}
* Wed Apr 26 2000 nadvornik@suse.cz
- added URL
- changed Group
* Fri Apr  7 2000 nadvornik@suse.cz
- added BuildRoot
* Wed Feb  2 2000 ro@suse.de
- applied another security fix
* Wed Jan 26 2000 ro@suse.de
- applied small security fix
* Mon Jan 17 2000 ro@suse.de
- man to usr/share/man
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Wed Jun 17 1998 ro@suse.de
- changed "ifdef linux" to "defined linux && !defined __NETINET_IP_ICMP_H"
  to build with libc5 and glibc
* Thu Nov 27 1997 bs@suse.de
- compressed man page
* Fri Oct 31 1997 ro@suse.de
- first suse version 1.0.4
